## linux-oracle 6.17.0-1001.1

=== Makefile ===
# SPDX-License-Identifier: GPL-2.0
VERSION = 6
PATCHLEVEL = 17
SUBLEVEL = 0
EXTRAVERSION = -rc5
NAME = Baby Opossum Posse

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

ifeq ($(filter output-sync,$(.FEATURES)),)
$(error GNU Make >= 4.0 is required. Your Make version is $(MAKE_VERSION))
endif

$(if $(filter __%, $(MAKECMDGOALS)), \
	$(error targets prefixed with '__' are only for internal use))

# That's our default target when none is given on the command line
PHONY := __all
__all:

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.a targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

this-makefile := $(lastword $(MAKEFILE_LIST))
abs_srctree := $(realpath $(dir $(this-makefile)))
abs_output := $(CURDIR)

ifneq ($(sub_make_done),1)

# Do not use make's built-in rules and variables
# (this increases performance and avoids hard-to-debug behaviour)
MAKEFLAGS += -rR

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# Beautify output
# ---------------------------------------------------------------------------
#
# Most of build commands in Kbuild start with "cmd_". You can optionally define
# "quiet_cmd_*". If defined, the short log is printed. Otherwise, no log from
# that command is printed by default.
#
# e.g.)
#    quiet_cmd_depmod = DEPMOD  $(MODLIB)
#          cmd_depmod = $(srctree)/scripts/depmod.sh $(DEPMOD) $(KERNELRELEASE)
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#    $(Q)$(MAKE) $(build)=scripts/basic
#
# If KBUILD_VERBOSE contains 1, the whole command is echoed.
# If KBUILD_VERBOSE contains 2, the reason for rebuilding is printed.
#
# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif

quiet = quiet_
Q = @

ifneq ($(findstring 1, $(KBUILD_VERBOSE)),)
  quiet =
  Q =
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands
ifneq ($(findstring s,$(firstword -$(MAKEFLAGS))),)
quiet=silent_
override KBUILD_VERBOSE :=
endif

export quiet Q KBUILD_VERBOSE

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/dev-tools/sparse.rst" for more details,
# including where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

export KBUILD_CHECKSRC

# Enable "clippy" (a linter) as part of the Rust compilation.
#
# Use 'make CLIPPY=1' to enable it.
ifeq ("$(origin CLIPPY)", "command line")
  KBUILD_CLIPPY := $(CLIPPY)
endif

export KBUILD_CLIPPY

# Use make M=dir or set the environment variable KBUILD_EXTMOD to specify the
# directory of external module to build. Setting M= takes precedence.
ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

ifeq ("$(origin MO)", "command line")
  KBUILD_EXTMOD_OUTPUT := $(MO)
endif

$(if $(word 2, $(KBUILD_EXTMOD)), \
	$(error building multiple external modules is not supported))

$(foreach x, % :, $(if $(findstring $x, $(KBUILD_EXTMOD)), \
	$(error module directory path cannot contain '$x')))

# Remove trailing slashes
ifneq ($(filter %/, $(KBUILD_EXTMOD)),)
KBUILD_EXTMOD := $(shell dirname $(KBUILD_EXTMOD).)
endif

export KBUILD_EXTMOD

ifeq ("$(origin W)", "command line")
  KBUILD_EXTRA_WARN := $(W)
endif

export KBUILD_EXTRA_WARN

# Kbuild will save output files in the current working directory.
# This does not need to match to the root of the kernel source tree.
#
# For example, you can do this:
#
#  cd /dir/to/store/output/files; make -f /dir/to/kernel/source/Makefile
#
# If you want to save output files in a different location, there are
# two syntaxes to specify it.
#
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the output directory.
# export KBUILD_OUTPUT=dir/to/store/output/files/; make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.

ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

ifdef KBUILD_EXTMOD
    ifdef KBUILD_OUTPUT
        objtree := $(realpath $(KBUILD_OUTPUT))
        $(if $(objtree),,$(error specified kernel directory "$(KBUILD_OUTPUT)" does not exist))
    else
        objtree := $(abs_srctree)
    endif
    # If Make is invoked from the kernel directory (either kernel
    # source directory or kernel build directory), external modules
    # are built in $(KBUILD_EXTMOD) for backward compatibility,
    # otherwise, built in the current directory.
    output := $(or $(KBUILD_EXTMOD_OUTPUT),$(if $(filter $(CURDIR),$(objtree) $(abs_srctree)),$(KBUILD_EXTMOD)))
    # KBUILD_EXTMOD might be a relative path. Remember its absolute path before
    # Make changes the working directory.
    srcroot := $(realpath $(KBUILD_EXTMOD))
    $(if $(srcroot),,$(error specified external module directory "$(KBUILD_EXTMOD)" does not exist))
else
    objtree := .
    output := $(KBUILD_OUTPUT)
endif

export objtree srcroot

# Do we want to change the working directory?
ifneq ($(output),)
# $(realpath ...) gets empty if the path does not exist. Run 'mkdir -p' first.
$(shell mkdir -p "$(output)")
# $(realpath ...) resolves symlinks
abs_output := $(realpath $(output))
$(if $(abs_output),,$(error failed to create output directory "$(output)"))
endif

ifneq ($(words $(subst :, ,$(abs_srctree))), 1)
$(error source directory cannot contain spaces or colons)
endif

export sub_make_done := 1

endif # sub_make_done

ifeq ($(abs_output),$(CURDIR))
# Suppress "Entering directory ..." if we are at the final work directory.
no-print-directory := --no-print-directory
else
# Recursion to show "Entering directory ..."
need-sub-make := 1
endif

ifeq ($(filter --no-print-directory, $(MAKEFLAGS)),)
# If --no-print-directory is unset, recurse once again to set it.
# You may end up recursing into __sub-make twice. This is needed due to the
# behavior change in GNU Make 4.4.1.
need-sub-make := 1
endif

ifeq ($(need-sub-make),1)

PHONY += $(MAKECMDGOALS) __sub-make

$(filter-out $(this-makefile), $(MAKECMDGOALS)) __all: __sub-make
	@:

# Invoke a second make in the output directory, passing relevant variables
__sub-make:
	$(Q)$(MAKE) $(no-print-directory) -C $(abs_output) \
	-f $(abs_srctree)/Makefile $(MAKECMDGOALS)

else # need-sub-make

# We process the rest of the Makefile if this is the final invocation of make

ifndef KBUILD_EXTMOD
srcroot := $(abs_srctree)
endif

ifeq ($(srcroot),$(CURDIR))
building_out_of_srctree :=
else
export building_out_of_srctree := 1
endif

ifdef KBUILD_ABS_SRCTREE
    # Do nothing. Use the absolute path.
else ifeq ($(srcroot),$(CURDIR))
    # Building in the source.
    srcroot := .
else ifeq ($(srcroot)/,$(dir $(CURDIR)))
    # Building in a subdirectory of the source.
    srcroot := ..
endif

export srctree := $(if $(KBUILD_EXTMOD),$(abs_srctree),$(srcroot))

ifdef building_out_of_srctree
export VPATH := $(srcroot)
else
VPATH :=
endif

# To make sure we do not include .config for any of the *config targets
# catch them early, and hand them over to scripts/kconfig/Makefile
# It is allowed to specify more targets when calling make, including
# mixing *config targets and build targets.
# For example 'make oldconfig all'.
# Detect when mixed targets is specified, and make a second invocation
# of make so .config is not included in this case either (for *config).

version_h := include/generated/uapi/linux/version.h

clean-targets := %clean mrproper cleandocs
no-dot-config-targets := $(clean-targets) \
			 cscope gtags TAGS tags help% %docs check% coccicheck \
			 $(version_h) headers headers_% archheaders archscripts \
			 %asm-generic kernelversion %src-pkg dt_binding_check \
			 outputmakefile rustavailable rustfmt rustfmtcheck
no-sync-config-targets := $(no-dot-config-targets) %install modules_sign kernelrelease \
			  image_name
single-targets := %.a %.i %.ko %.lds %.ll %.lst %.mod %.o %.rsi %.s %/

config-build	:=
mixed-build	:=
need-config	:= 1
may-sync-config	:= 1
single-build	:=

ifneq ($(filter $(no-dot-config-targets), $(MAKECMDGOALS)),)
    ifeq ($(filter-out $(no-dot-config-targets), $(MAKECMDGOALS)),)
        need-config :=
    endif
endif

ifneq ($(filter $(no-sync-config-targets), $(MAKECMDGOALS)),)
    ifeq ($(filter-out $(no-sync-config-targets), $(MAKECMDGOALS)),)
        may-sync-config :=
    endif
endif

need-compiler := $(may-sync-config)

ifneq ($(KBUILD_EXTMOD),)
    may-sync-config :=
endif

ifeq ($(KBUILD_EXTMOD),)
    ifneq ($(filter %config,$(MAKECMDGOALS)),)
        config-build := 1
        ifneq ($(words $(MAKECMDGOALS)),1)
            mixed-build := 1
        endif
    endif
endif

# We cannot build single targets and the others at the same time
ifneq ($(filter $(single-targets), $(MAKECMDGOALS)),)
    single-build := 1
    ifneq ($(filter-out $(single-targets), $(MAKECMDGOALS)),)
        mixed-build := 1
    endif
endif

# For "make -j clean all", "make -j mrproper defconfig all", etc.
ifneq ($(filter $(clean-targets),$(MAKECMDGOALS)),)
    ifneq ($(filter-out $(clean-targets),$(MAKECMDGOALS)),)
        mixed-build := 1
    endif
endif

# install and modules_install need also be processed one by one
ifneq ($(filter install,$(MAKECMDGOALS)),)
    ifneq ($(filter modules_install,$(MAKECMDGOALS)),)
        mixed-build := 1
    endif
endif

ifdef mixed-build
# ===========================================================================
# We're called with mixed targets (*config and build targets).
# Handle them one by one.

PHONY += $(MAKECMDGOALS) __build_one_by_one

$(MAKECMDGOALS): __build_one_by_one
	@:

__build_one_by_one:
	$(Q)set -e; \
	for i in $(MAKECMDGOALS); do \
		$(MAKE) -f $(srctree)/Makefile $$i; \
	done

else # !mixed-build

include $(srctree)/scripts/Kbuild.include

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(call read-file, $(objtree)/include/config/kernel.release)
KERNELVERSION = $(VERSION)$(if $(PATCHLEVEL),.$(PATCHLEVEL)$(if $(SUBLEVEL),.$(SUBLEVEL)))$(EXTRAVERSION)
export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION

include $(srctree)/scripts/subarch.include

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=arm64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).

=== tools/testing/selftests/net/Makefile ===
# SPDX-License-Identifier: GPL-2.0
# Makefile for net selftests

CFLAGS +=  -Wall -Wl,--no-as-needed -O2 -g
CFLAGS += -I../../../../usr/include/ $(KHDR_INCLUDES)
# Additional include paths needed by kselftest.h
CFLAGS += -I../

TEST_PROGS := run_netsocktests run_afpackettests test_bpf.sh netdevice.sh \
	      rtnetlink.sh xfrm_policy.sh
TEST_PROGS += fib_tests.sh fib-onlink-tests.sh pmtu.sh udpgso.sh ip_defrag.sh
TEST_PROGS += udpgso_bench.sh fib_rule_tests.sh msg_zerocopy.sh psock_snd.sh
TEST_PROGS += udpgro_bench.sh udpgro.sh test_vxlan_under_vrf.sh reuseport_addr_any.sh
TEST_PROGS += test_vxlan_fdb_changelink.sh so_txtime.sh ipv6_flowlabel.sh
TEST_PROGS += tcp_fastopen_backup_key.sh fcnal-test.sh l2tp.sh traceroute.sh
TEST_PROGS += fin_ack_lat.sh fib_nexthop_multiprefix.sh fib_nexthops.sh fib_nexthop_nongw.sh
TEST_PROGS += altnames.sh icmp.sh icmp_redirect.sh ip6_gre_headroom.sh
TEST_PROGS += route_localnet.sh
TEST_PROGS += reuseaddr_ports_exhausted.sh
TEST_PROGS += txtimestamp.sh
TEST_PROGS += vrf-xfrm-tests.sh
TEST_PROGS += rxtimestamp.sh
TEST_PROGS += drop_monitor_tests.sh
TEST_PROGS += vrf_route_leaking.sh
TEST_PROGS += bareudp.sh
TEST_PROGS += amt.sh
TEST_PROGS += unicast_extensions.sh
TEST_PROGS += udpgro_fwd.sh
TEST_PROGS += udpgro_frglist.sh
TEST_PROGS += nat6to4.sh
TEST_PROGS += veth.sh
TEST_PROGS += ioam6.sh
TEST_PROGS += gro.sh
TEST_PROGS += gre_gso.sh
TEST_PROGS += gre_ipv6_lladdr.sh
TEST_PROGS += cmsg_so_mark.sh
TEST_PROGS += cmsg_so_priority.sh
TEST_PROGS += test_so_rcv.sh
TEST_PROGS += cmsg_time.sh cmsg_ip.sh
TEST_PROGS += netns-name.sh
TEST_PROGS += link_netns.py
TEST_PROGS += nl_netdev.py
TEST_PROGS += rtnetlink.py
TEST_PROGS += rtnetlink_notification.sh
TEST_PROGS += srv6_end_dt46_l3vpn_test.sh
TEST_PROGS += srv6_end_dt4_l3vpn_test.sh
TEST_PROGS += srv6_end_dt6_l3vpn_test.sh
TEST_PROGS += srv6_hencap_red_l3vpn_test.sh
TEST_PROGS += srv6_hl2encap_red_l2vpn_test.sh
TEST_PROGS += srv6_end_next_csid_l3vpn_test.sh
TEST_PROGS += srv6_end_x_next_csid_l3vpn_test.sh
TEST_PROGS += srv6_end_flavors_test.sh
TEST_PROGS += srv6_end_dx4_netfilter_test.sh
TEST_PROGS += srv6_end_dx6_netfilter_test.sh
TEST_PROGS += vrf_strict_mode_test.sh
TEST_PROGS += arp_ndisc_evict_nocarrier.sh
TEST_PROGS += ndisc_unsolicited_na_test.sh
TEST_PROGS += arp_ndisc_untracked_subnets.sh
TEST_PROGS += stress_reuseport_listen.sh
TEST_PROGS += l2_tos_ttl_inherit.sh
TEST_PROGS += bind_bhash.sh
TEST_PROGS += ip_local_port_range.sh
TEST_PROGS += rps_default_mask.sh
TEST_PROGS += big_tcp.sh
TEST_PROGS += netns-sysctl.sh
TEST_PROGS += netdev-l2addr.sh
TEST_PROGS_EXTENDED := toeplitz_client.sh toeplitz.sh xfrm_policy_add_speed.sh
TEST_GEN_FILES =  socket nettest
TEST_GEN_FILES += psock_fanout psock_tpacket msg_zerocopy reuseport_addr_any
TEST_GEN_FILES += tcp_mmap tcp_inq psock_snd txring_overwrite
TEST_GEN_FILES += udpgso udpgso_bench_tx udpgso_bench_rx ip_defrag
TEST_GEN_FILES += so_txtime ipv6_flowlabel ipv6_flowlabel_mgr so_netns_cookie
TEST_GEN_FILES += tcp_fastopen_backup_key
TEST_GEN_FILES += fin_ack_lat
TEST_GEN_FILES += reuseaddr_ports_exhausted
TEST_GEN_FILES += hwtstamp_config rxtimestamp timestamping txtimestamp
TEST_GEN_FILES += ipsec
TEST_GEN_FILES += ioam6_parser
TEST_GEN_FILES += gro
TEST_GEN_PROGS = reuseport_bpf reuseport_bpf_cpu reuseport_bpf_numa
TEST_GEN_PROGS += reuseport_dualstack reuseaddr_conflict tls tun tap epoll_busy_poll
TEST_GEN_FILES += toeplitz
TEST_GEN_FILES += cmsg_sender
TEST_GEN_FILES += stress_reuseport_listen
TEST_GEN_FILES += so_rcv_listener
TEST_PROGS += test_vxlan_vnifiltering.sh
TEST_GEN_FILES += io_uring_zerocopy_tx
TEST_PROGS += io_uring_zerocopy_tx.sh
TEST_GEN_FILES += bind_bhash
TEST_GEN_PROGS += sk_bind_sendto_listen
TEST_GEN_PROGS += sk_connect_zero_addr
TEST_GEN_PROGS += sk_so_peek_off
TEST_PROGS += test_ingress_egress_chaining.sh
TEST_GEN_PROGS += so_incoming_cpu
TEST_PROGS += sctp_vrf.sh
TEST_GEN_FILES += sctp_hello
TEST_GEN_FILES += ip_local_port_range
TEST_GEN_PROGS += bind_wildcard
TEST_GEN_PROGS += bind_timewait
TEST_PROGS += test_vxlan_mdb.sh
TEST_PROGS += test_bridge_neigh_suppress.sh
TEST_PROGS += test_vxlan_nh.sh
TEST_PROGS += test_vxlan_nolocalbypass.sh
TEST_PROGS += test_bridge_backup_port.sh
TEST_PROGS += test_neigh.sh
TEST_PROGS += fdb_flush.sh fdb_notify.sh
TEST_PROGS += fq_band_pktlimit.sh
TEST_PROGS += vlan_hw_filter.sh
TEST_PROGS += vlan_bridge_binding.sh
TEST_PROGS += bpf_offload.py
TEST_PROGS += ipv6_route_update_soft_lockup.sh
TEST_PROGS += busy_poll_test.sh
TEST_GEN_PROGS += proc_net_pktgen
TEST_PROGS += lwt_dst_cache_ref_loop.sh
TEST_PROGS += skf_net_off.sh
TEST_GEN_FILES += skf_net_off
TEST_GEN_FILES += tfo
TEST_PROGS += tfo_passive.sh
TEST_PROGS += broadcast_pmtu.sh
TEST_PROGS += ipv6_force_forwarding.sh

# YNL files, must be before "include ..lib.mk"
YNL_GEN_FILES := busy_poller netlink-dumps
TEST_GEN_FILES += $(YNL_GEN_FILES)

TEST_FILES := settings
TEST_FILES += in_netns.sh lib.sh setup_loopback.sh setup_veth.sh

TEST_GEN_FILES += $(patsubst %.c,%.o,$(wildcard *.bpf.c))

TEST_INCLUDES := forwarding/lib.sh

include ../lib.mk

# YNL build
YNL_GENS := netdev
include ynl.mk

$(OUTPUT)/epoll_busy_poll: LDLIBS += -lcap
$(OUTPUT)/reuseport_bpf_numa: LDLIBS += -lnuma
$(OUTPUT)/tcp_mmap: LDLIBS += -lpthread -lcrypto
$(OUTPUT)/tcp_inq: LDLIBS += -lpthread
$(OUTPUT)/bind_bhash: LDLIBS += -lpthread
$(OUTPUT)/io_uring_zerocopy_tx: CFLAGS += -I../../../include/

include bpf.mk

=== debian/changelog ===
linux-oracle (6.17.0-1001.1) questing; urgency=medium

  * questing/linux-oracle: 6.17.0-1001.1 -proposed tracker (LP: #2122647)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] update variants
    - [Packaging] debian.oracle/dkms-versions -- update from kernel-versions
      (main/d2025.08.14)

  * Miscellaneous Ubuntu changes
    - [Config] updateconfigs after rebase to 6.17

  [ Ubuntu: 6.17.0-4.4 ]

  * questing/linux: 6.17.0-4.4 -proposed tracker (LP: #2122321)
  * [SRU] Do not instantiate SPD5118 sensors on i801 SMBus controllers
    (LP: #2114963)
    - SAUCE: i2c: i801: Do not instantiate spd5118 under SPD Write Disable
  * initramfs-tools: autopkgtest fails on arm64 with Possible missing firmware
    /lib/firmware/apple/dfrmtfw-*.bin for built-in driver apple_z2
    (LP: #2115758)
    - [Config] Set TOUCHSCREEN_APPLE_Z2=m (arm64)
  * Support TDX host in questing (LP: #2121873)
    - SAUCE: x86/kexec: Consolidate relocate_kernel() function parameters
    - SAUCE: x86/sme: Use percpu boolean to control WBINVD during kexec
    - SAUCE: x86/virt/tdx: Mark memory cache state incoherent when making
      SEAMCALL
    - SAUCE: x86/kexec: Disable kexec/kdump on platforms with TDX partial
      write erratum
    - SAUCE: x86/virt/tdx: Remove the !KEXEC_CORE dependency
    - SAUCE: x86/virt/tdx: Update the kexec section in the TDX documentation
    - SAUCE: KVM: TDX: Explicitly do WBINVD when no more TDX SEAMCALLs
    - [Config] enable TDX host support
  * minimal kernel lacks modules for blk disk in arm64 openstack environments
    where config_drive is required (LP: #2118499)
    - [Config] Enable SYM53C8XX_2 on arm64
  * Miscellaneous Ubuntu changes
    - [Config] Re-enable Rust support, and make sure it doesn't get disabled
      by accident
    - [Config] updateconfigs for v6.17-rc5 rebase

  [ Ubuntu: 6.17.0-3.3 ]

  * questing/linux: 6.17.0-3.3 -proposed tracker (LP: #2121512)
  *  Enable Xilinx PS UART configs (LP: #2121337)
    - [Config] Enable Xilinx PS UART configs
  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.08.25)
  * Plucky/Questing fails to boot on (older) Macs (LP: #2105402)
    - SAUCE: hack: efi/libstub: enable t14s boot failure hack only on arm64
  * Miscellaneous Ubuntu changes
    - [Packaging] Fix linux-modules Description, add dependency on wireless-
      regdb from old -extra
    - [Packaging] Fix arch list for bpftool build-dep

  [ Ubuntu: 6.17.0-2.2 ]

  * questing/linux: 6.17.0-2.2 -proposed tracker (LP: #2121374)
  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.08.25)
  * enable Mediatek media platform drivers on arm64 (LP: #2116138)
    - [Config] enable mediatek media platform drivers
  * update apparmor and LSM stacking patch set (LP: #2028253)
    - SAUCE: apparmor5.0.0 [1/38]: Stacking: Audit: Create audit_stamp
      structure
    - SAUCE: apparmor5.0.0 [2/38]: Stacking: Audit: Allow multiple records in
      an audit_buffer
    - SAUCE: apparmor5.0.0 [3/38]: Stacking: LSM: security_lsmblob_to_secctx
      module selection
    - SAUCE: apparmor5.0.0 [4/38]: Stacking: Audit: Add record for multiple
      task security contexts
    - SAUCE: apparmor5.0.0 [5/38]: Stacking: Audit: multiple subject lsm
      values for netlabel
    - SAUCE: apparmor5.0.0 [6/38]: Stacking: Audit: Add record for multiple
      object contexts
    - SAUCE: apparmor5.0.0 [7/38]: Stacking: LSM: Single calls in secid hooks
    - SAUCE: apparmor5.0.0 [8/38]: Stacking: LSM: Exclusive secmark usage
    - SAUCE: apparmor5.0.0 [9/38]: Stacking: Audit: Call only the first of the
      audit rule hooks
    - SAUCE: apparmor5.0.0 [10/38]: Stacking: AppArmor: Remove the exclusive
      flag
    - SAUCE: apparmor5.0.0 [11/38]: Revert "apparmor: fix dbus permission
      queries to v9 ABI"
    - SAUCE: apparmor5.0.0 [12/38]: Revert "apparmor: gate make fine grained
      unix mediation behind v9 abi"
    - SAUCE: apparmor5.0.0 [13/38]: apparmor: net: patch to provide
      compatibility with v2.x net rules
    - SAUCE: apparmor5.0.0 [14/38]: apparmor: net: add fine grained ipv4/ipv6
      mediation
    - SAUCE: apparmor5.0.0 [15/38]: apparmor: userns: add unprivileged user ns
      mediation
    - SAUCE: apparmor5.0.0 [16/38]: apparmor: userns: Add sysctls for
      additional controls of unpriv userns restrictions
    - SAUCE: apparmor5.0.0 [18/38]: apparmor: userns: open userns related
      sysctl so lxc can check if restriction are in place
    - SAUCE: apparmor5.0.0 [19/38]: apparmor: userns: allow profile to be
      transitioned when a userns is created
    - SAUCE: apparmor5.0.0 [20/38]: aoparmor: userns: Add support for execpath
      in userns
    - SAUCE: apparmor5.0.0 [21/38]: apparmor: mqueue: call
      security_inode_init_security on inode creation
    - SAUCE: apparmor5.0.0 [22/38]: apparmor: mqueue: add fine grained
      mediation of posix mqueues
    - SAUCE: apparmor5.0.0 [23/38]: apparmor: uring: add io_uring mediation
    - SAUCE: apparmor5.0.0 [26/38]: apparmor: prompt: setup slab cache for
      audit data
    - SAUCE: apparmor5.0.0 [27/38]: apparmor: prompt: add the ability for
      profiles to have a learning cache
    - SAUCE: apparmor5.0.0 [28/38]: apparmor: prompt: enable userspace upcall
      for mediation
    - SAUCE: apparmor5.0.0 [29/38]: apparmor: prompt: pass prompt boolean
      through into path_name as well
    - SAUCE: apparmor5.0.0 [30/38]: apparmor: add AA_DEBUG_PROFILE to have
      debug on profiles with flag set
    - SAUCE: apparmor5.0.0 [31/38]: apparmor: make str table more generic and
      be able to have multiple entries
    - SAUCE: apparmor5.0.0 [32/38]: apparmor: check for supported version in
      notification messages.


=== debian/control ===
Source: linux-oracle
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
XSC-Ubuntu-Compatible-Signing: ubuntu/4 pro/3
Rules-Requires-Root: no
Standards-Version: 3.9.4.0
Build-Depends:
 gcc:native, gcc-aarch64-linux-gnu [arm64] <cross>, gcc-arm-linux-gnueabihf [armhf] <cross>, gcc-powerpc64le-linux-gnu [ppc64el] <cross>, gcc-riscv64-linux-gnu [riscv64] <cross>, gcc-s390x-linux-gnu [s390x] <cross>, gcc-x86-64-linux-gnu [amd64] <cross>,
 debhelper-compat (= 10),
 cpio,
 kmod <!stage1>,
 makedumpfile [amd64] <!stage1>,
 libcap-dev <!stage1>,
 libelf-dev <!stage1>,
 libnewt-dev <!stage1>,
 libiberty-dev <!stage1>,
 default-jdk-headless <!stage1>,
 java-common <!stage1>,
 rsync [!i386] <!stage1>,
 libdw-dev <!stage1>,
 libpci-dev <!stage1>,
 pkg-config <!stage1>,
 python3 <!stage1>,
 python3-dev <!stage1>,
 python3-setuptools,
 flex <!stage1>,
 bison <!stage1>,
 libunwind8-dev [amd64 arm64 armhf ppc64el] <!stage1>,
 liblzma-dev <!stage1>,
 openssl <!stage1>,
 libssl-dev <!stage1>,
 libaudit-dev <!stage1>,
 bc <!stage1>,
 gawk <!stage1>,
 libudev-dev <!stage1>,
 autoconf <!stage1>,
 automake <!stage1>,
 libtool <!stage1>,
 uuid-dev <!stage1>,
 libnuma-dev [amd64 arm64 ppc64el s390x] <!stage1>,
 libtraceevent-dev [amd64 arm64 armhf ppc64el s390x riscv64] <!stage1>,
 libtracefs-dev [amd64 arm64 armhf ppc64el s390x riscv64] <!stage1>,
 dkms <!stage1>,
 dwarfdump <!stage1>,
 curl <!stage1>,
 zstd <!stage1>,
 pahole (>= 1.29-2ubuntu2) [amd64 arm64 armhf ppc64el s390x riscv64] | dwarves (>= 1.21) [amd64 arm64 armhf ppc64el s390x riscv64] <!stage1>,
 clang-18 [amd64 arm64 armhf ppc64el riscv64 s390x],
 rustc [amd64 arm64 armhf ppc64el riscv64 s390x],
 rust-src [amd64 arm64 armhf ppc64el riscv64 s390x],
 rustfmt [amd64 arm64 armhf ppc64el riscv64 s390x],
 bindgen [amd64 arm64 armhf ppc64el riscv64 s390x],
 libstdc++-dev,
Build-Depends-Indep:
 xmlto <!stage1>,
 bzip2 <!stage1>,
 sharutils <!stage1>,
 asciidoc <!stage1>,
 python3-docutils <!stage1>,
Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-oracle/+git/questing
XS-Testsuite: autopkgtest
#XS-Testsuite-Depends: gcc-4.7 binutils

Package: linux-oracle-headers-6.17.0-1001
Build-Profiles: <!stage1>
Architecture: all
Multi-Arch: foreign
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils
Description: Header files related to Oracle Linux kernel version 6.17.0
 This package provides kernel header files for version 6.17.0, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-oracle-headers-6.17.0-1001/debian.README.gz for details

Package: linux-oracle-tools-6.17.0-1001
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-tools-common
Description: Oracle Linux kernel version specific tools for version 6.17.0-1001
 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 6.17.0-1001 on
 =HUMAN=.
 You probably want to install linux-tools-6.17.0-1001-<flavour>.

Package: linux-image-unsigned-6.17.0-1001-oracle
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: kernel
Priority: optional
Provides: linux-image, fuse-module, aufs-dkms, kvm-api-4, redhat-cluster-modules, ivtv-modules, virtualbox-guest-modules [amd64], ${linux:rprovides}
Depends: ${misc:Depends}, ${shlibs:Depends}, kmod, linux-base (>= 4.5ubuntu1~16.04.1), linux-modules-6.17.0-1001-oracle
Recommends: grub-pc [amd64] | grub-efi-amd64 [amd64] | grub-efi-ia32 [amd64] | grub [amd64] | lilo [amd64] | flash-kernel [armhf arm64] | grub-ieee1275 [ppc64el] | grub-efi-arm64 [arm64], initramfs-tools | linux-initramfs-tool
Breaks: flash-kernel (<< 3.90ubuntu2) [arm64 armhf], s390-tools (<< 2.3.0-0ubuntu3) [s390x]
Conflicts: linux-image-6.17.0-1001-oracle
Suggests: bpftool, linux-perf, linux-oracle-doc-6.17.0 | linux-oracle-source-6.17.0, linux-oracle-tools, linux-headers-6.17.0-1001-oracle
Description: Oracle Linux kernel image for version 6.17.0 on DESC
 This package contains the unsigned Oracle Linux kernel image for version 6.17.0 on
 DESC.
 .
 Supports Oracle processors.
 .
 Geared toward Oracle Cloud systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-oracle meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-image-unsigned-6.17.0-1001-oracle-dbgsym
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Oracle Linux kernel debug image for version 6.17.0 on DESC
 This package provides the unsigned kernel debug image for version 6.17.0 on
 DESC.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: linux-modules-6.17.0-1001-oracle
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Oracle Linux kernel extra modules for version 6.17.0 on DESC
 Contains the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Oracle processors.
 .
 Geared toward Oracle Cloud systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-oracle meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-modules-extra-6.17.0-1001-oracle
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, wireless-regdb, linux-modules-6.17.0-1001-oracle
Description: Oracle Linux kernel extra modules for version 6.17.0 on DESC
 This package contains the Oracle Linux kernel extra modules for version 6.17.0 on
 DESC.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Oracle processors.
 .
 Geared toward Oracle Cloud systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-oracle meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-6.17.0-1001-oracle
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-oracle-headers-6.17.0-1001, ${shlibs:Depends}
Provides: linux-headers, linux-headers-3.0
Description: Oracle Linux kernel headers for version 6.17.0 on DESC
 This package provides kernel header files for version 6.17.0 on
 DESC.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-headers-6.17.0-1001/debian.README.gz for details.

Package: linux-tools-6.17.0-1001-oracle
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-oracle-tools-6.17.0-1001
Description: Oracle Linux kernel version specific tools for version 6.17.0-1001
 This package provides the architecture dependant parts for kernel
 version locked tools (such as x86_energy_perf_policy) for
 version 6.17.0-1001 on
 =HUMAN=.

Package: linux-cloud-tools-6.17.0-1001-oracle
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-oracle-cloud-tools-6.17.0-1001
Description: Oracle Linux kernel version specific cloud tools for version 6.17.0-1001
 This package provides the architecture dependant parts for kernel
 version locked tools for cloud for version 6.17.0-1001 on
 =HUMAN=.

Package: linux-buildinfo-6.17.0-1001-oracle
Build-Profiles: <!stage1>
Architecture: amd64 arm64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${linux:BuiltUsing}
Description: Linux kernel buildinfo for version 6.17.0
 This package contains the Linux kernel buildinfo for version 6.17.0.
 .
 You likely do not want to install this package.

Package: linux-image-unsigned-6.17.0-1001-oracle-64k
Build-Profiles: <!stage1>
Architecture: arm64
Section: kernel
Priority: optional
Provides: linux-image, fuse-module, aufs-dkms, kvm-api-4, redhat-cluster-modules, ivtv-modules, virtualbox-guest-modules [amd64], ${linux:rprovides}
Depends: ${misc:Depends}, ${shlibs:Depends}, kmod, linux-base (>= 4.5ubuntu1~16.04.1), linux-modules-6.17.0-1001-oracle-64k
Recommends: grub-pc [amd64] | grub-efi-amd64 [amd64] | grub-efi-ia32 [amd64] | grub [amd64] | lilo [amd64] | flash-kernel [armhf arm64] | grub-ieee1275 [ppc64el] | grub-efi-arm64 [arm64], initramfs-tools | linux-initramfs-tool
Breaks: flash-kernel (<< 3.90ubuntu2) [arm64 armhf], s390-tools (<< 2.3.0-0ubuntu3) [s390x]
Conflicts: linux-image-6.17.0-1001-oracle-64k
Suggests: bpftool, linux-perf, linux-oracle-doc-6.17.0 | linux-oracle-source-6.17.0, linux-oracle-tools, linux-headers-6.17.0-1001-oracle-64k
Description: Oracle Linux kernel image for version 6.17.0 on DESC
 This package contains the unsigned Oracle Linux kernel image for version 6.17.0 on
 DESC.
 .
 Supports Oracle processors.
 .
 Geared toward Oracle Cloud systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-oracle-64k meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-image-unsigned-6.17.0-1001-oracle-64k-dbgsym
Build-Profiles: <!stage1>
Architecture: arm64
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Oracle Linux kernel debug image for version 6.17.0 on DESC
 This package provides the unsigned kernel debug image for version 6.17.0 on
 DESC.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: linux-modules-6.17.0-1001-oracle-64k
Build-Profiles: <!stage1>
Architecture: arm64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Oracle Linux kernel extra modules for version 6.17.0 on DESC
 Contains the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Oracle processors.
 .
 Geared toward Oracle Cloud systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-oracle-64k meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-modules-extra-6.17.0-1001-oracle-64k
Build-Profiles: <!stage1>
Architecture: arm64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, wireless-regdb, linux-modules-6.17.0-1001-oracle-64k
Description: Oracle Linux kernel extra modules for version 6.17.0 on DESC
 This package contains the Oracle Linux kernel extra modules for version 6.17.0 on
 DESC.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Oracle processors.
 .
 Geared toward Oracle Cloud systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-oracle-64k meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-6.17.0-1001-oracle-64k
Build-Profiles: <!stage1>
Architecture: arm64
Section: devel
Priority: optional
